Name:           gweled
Version:        0.7
Release:        6%{?dist}

Summary:        Swapping gem game

Group:          Amusements/Games
License:        GPL
URL:            http://sebdelestaing.free.fr/gweled/
Source0:        http://sebdelestaing.free.fr/gweled/Release/gweled-%{version}.tar.gz
Patch0:         %{name}-Makefile.patch
Patch1:		%{name}-Sample_Free.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libgnomeui-devel >= 2.0.0
BuildRequires:  librsvg2-devel >= 2.0.0
BuildRequires:  libcroco-devel >= 0.3.0
BuildRequires:  mikmod-devel
BuildRequires:  desktop-file-utils

%description
Gweled is a Gnome version of a popular PalmOS/Windows/Java game called
"Bejeweled" or "Diamond Mine". The aim of the game is to make alignment of 3 or
more gems, both vertically or horizontally by swapping adjacent gems. The game
ends when there are no possible moves left.


%prep
%setup -q
%patch0  -p0 -b .patch0
%patch1  -p0 -b .patch0

%build
export LDFLAGS="${LDFLAGS} -Wl,--export-dynamic"
%configure
echo "Encoding=UTF-8" >> gweled.desktop
mv gweled.desktop gweled.desktop.old
iconv --from-code=ISO-8859-1 --to-code=UTF-8 <gweled.desktop.old > gweled.desktop
make %{?_smp_mflags}



%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor fedora --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications      \
  --add-category X-Fedora                              \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
mkdir $RPM_BUILD_ROOT%{_localstatedir}/lib/
mv $RPM_BUILD_ROOT%{_localstatedir}/games/ $RPM_BUILD_ROOT%{_localstatedir}/lib/


%clean
rm -rf $RPM_BUILD_ROOT



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS
%attr(2551,root,games) %{_bindir}/%{name}
%attr(0664,games,games) %{_localstatedir}/lib/games/*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/
%{_datadir}/sounds/%{name}/

%changelog
* Tue Aug 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-6
- Rebuild for devel

* Sun Mar 26 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-5
- Add LDFLAGS="-Wl,--export-dynamic" (thx to Kevin Kofler for the hint)

* Mon Feb 13 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-4
- Rebuild for Fedora Extras 5

* Sun Jan 29 2006 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-3
- Fix build in devel (mv behaviour changed)

* Tue Oct 05 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-2
- Use dist

* Tue Oct 04 2005 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0.7-1
- Update to 0.7
- drop gcc4 patch (upstream now)
- Update Makefile-patch
- add Sample_Free.patch to avoid double free on exit (with help from adrianr)
- score file must not be conffile 

* Wed Apr 13 2005 Adrian Reber <adrian@lisas.de> - 0.6-3
- fixed gcc4 errors
- removed empty README file
- fixed segfault caused by:
  call to __builtin___memset_chk will always overflow destination buffer

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Aug 31 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.6-1
- Update to 0.6
- Remove highscore workaround
- Add Makefile patch
- Don't overwrite highscores during update

* Tue Aug 31 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.5-0.fdr.1
- Update to 0.5
- Add highscorce workaround

* Thu Jan 15 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.4-0.fdr.2
- Own dirs correctly
- BuildRequires desktop-file-utils

* Fri Jan 09 2004 Thorsten Leemhuis <fedora[AT]leemhuis.info> - 0:0.4-0.fdr.1
- Update to 0.4
- Correct permissions so highscores work
- Add UTF-8 to desktop file

* Thu Nov 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 0:0.3-0.fdr.1
- Initial RPM release.
